Subject: mc-4.1 report under B19 with ncurses 1.9.9e installed
From: [email-masked] (Konstantin Metlov)

7 Mar 1998 16:34:58 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="koi8-r"
Content-Transfer-Encoding: 7bit
To: "GNU-WIN32" <[email-masked]>

Here is the way how I have compiled mc-4.1 under B19. This is not the best
way for sure...

1. mc does not compile out of the box.
1. ./configure
3. in ./src/util.c
 a) comment out function my_ftruncate (at the end of the file)
 b) replace line
        res = my_ftruncate (fd, size);
     by
        res =  ftruncate (fd, size);
    in the function truncate(const char *, long) , (goes after my_ftruncate)
4. there is no <stropts.h> file, but configure finds that it is there...
     Comment OUT line
        #define HAVE_GRANTPT 1
     to look like
      /* #define HAVE_GRANTPT 1 */
     in the config.h, generated by configure.
 5. function mkfifo is not implemented in B19
     that is relplace  the line (you can find it searching for mkfifo):
            if (mkfifo (tcsh_fifo, 0600) == -1)
     with
            if (-1 == -1)
     in ./src/subshell.c  .
     The named pipe is used to communicate with tcsh... it is not needed for
bash. There could be a problem when tcsh is used....

 6. make
 7. In ./src/Makefile
     replace
         cp mfmt mcmfmt
     by
         cp mfmt.exe mcmfmt.exe

 8. In ./edit/Makefile
     replace
              $(LN_S) mc $(DESTDIR)$(bindir)/$(binprefix)mcedit
     by
              $(LN_S) mc.exe $(DESTDIR)$(bindir)/$(binprefix)mcedit.exe

 9. Use install.exe , posted to the mailing list by Roger Kommer to avoid
other problems with .exe
 10. make install
 11. mc
 12. ENJOY !!!

Messages :
1. Warning : I'm not sure if the list above is complete.
2. This just describes what I did.... it is certainly not the best way...
(show me the better way)
3. I can't make patches.... sorry... ;(
4. To edit generated filed is certainly not the best way ...but I do not
know how to make it better...
4. Hope it will be helpful...

With the best Regards,
                             KLM.

PS When I do _intensive_ scrolling in vew, editor, or file browser some
parts of mc screen can appear black.... ( have to press Ctrl-L in this
case)... may be it is a problem with ncurses... Any ideas ?

PPS man pages are displayed properly (using F3) but it is needed to have
groff installed. For information on how to fight groff-1.11a(1.10?) see my
previous message on this list.

PPPS Hope somebody will make a better guide how an ordinary user can compile
programs under cygwin... I can't, as my knowledge of makefiles, c, c++,
autoconf is 0(zero).

PPPPS my mount table :
c:\Cygnus\B19    /usr                native      text=binary
\\.\tape1:       /dev/st1            native      text!=binary
\\.\tape0:       /dev/st0            native      text!=binary
\\.\b:           /dev/fd1            native      text!=binary
\\.\a:           /dev/fd0            native      text!=binary
c:\Cygnus\B19\H-i386-cygwin32\bin /bin                native
text=binary
c:\Cygnus        /                   native      text=binary

created /bin /usr /var /tmp in c:\Cygnus...

PPPPPS BE CAREFUL IMPLEMENTING MY SUGGESTIONS !!!!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".